Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class BiomeEvent.BlockReplacement

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.terraingen.BiomeEvent
              net.minecraftforge.event.terraingen.BiomeEvent.BlockReplacement

Direct Known Subclasses:
  BiomeEvent.GetVillageBlockID, BiomeEvent.GetVillageBlockMeta

Enclosing class:
  BiomeEvent

    public static class BiomeEvent.BlockReplacement

extends BiomeEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.BiomeEvent
`BiomeEvent.BiomeColor, BiomeEvent.BlockReplacement, BiomeEvent.CreateDecorator, BiomeEvent.GetFoliageColor, BiomeEvent.GetGrassColor, BiomeEvent.GetVillageBlockID, BiomeEvent.GetVillageBlockMeta, BiomeEvent.GetWaterColor`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`int` | `original`
`int` | `replacement`

Fields inherited from class net.minecraftforge.event.terraingen.BiomeEvent
`biome`

Constructor Summary
`BiomeEvent.BlockReplacement(BiomeGenBase biome, int original, int replacement)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### original

    public final int original

### replacement

    public int replacement

Constructor Detail

### BiomeEvent.BlockReplacement

    public BiomeEvent.BlockReplacement(BiomeGenBase biome,
                                       int original,
                                       int replacement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD